com.mxgraph.swing.handler

## Class mxPanningHandler

- java.lang.Object
- - com.mxgraph.swing.util.mxMouseAdapter
  - - com.mxgraph.swing.handler.mxPanningHandler

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.util.EventListener

      public class mxPanningHandler
      extends mxMouseAdapter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `enabled`
    `protected mxGraphComponent` | `graphComponent`
    `protected java.awt.Point` | `start`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxPanningHandler(mxGraphComponent graphComponent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isActive()` Whether or not panning is currently active
    `boolean` | `isEnabled()`
    `void` | `mouseDragged(java.awt.event.MouseEvent e)`
    `void` | `mousePressed(java.awt.event.MouseEvent e)`
    `void` | `mouseReleased(java.awt.event.MouseEvent e)`
    `void` | `setEnabled(boolean value)`

    - ### Methods inherited from class com.mxgraph.swing.util.mxMouseAdapter

      `mouseClicked, mouseEntered, mouseExited, mouseMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### graphComponent

          protected mxGraphComponent graphComponent

    - #### enabled

          protected boolean enabled

    - #### start

          protected transient java.awt.Point start

  - ### Constructor Detail

    - #### mxPanningHandler

          public mxPanningHandler(mxGraphComponent graphComponent)

      Parameters:
        `graphComponent` -

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean value)

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent e)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`
      Overrides:
        `mousePressed` in class `mxMouseAdapter`

    - #### mouseDragged

          public void mouseDragged(java.awt.event.MouseEvent e)

      Specified by:
        `mouseDragged` in interface `java.awt.event.MouseMotionListener`
      Overrides:
        `mouseDragged` in class `mxMouseAdapter`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent e)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseReleased` in class `mxMouseAdapter`

    - #### isActive

          public boolean isActive()

      Whether or not panning is currently active
      Returns:
        Whether or not panning is currently active

Copyright (c) 2010 Gaudenz Alder. All rights reserved.